(function() {
  'use strict';

  angular
    .module('app')
    .run(run);

  run.$inject = ['$rootScope','DogEvents'];

  function run($rootScope, DogEvents) {
    /*------------------------------------------------------------------
    Properties
    ------------------------------------------------------------------*/
    var events = [
      DogEvents
    ];
    /*------------------------------------------------------------------
    Methods
    ------------------------------------------------------------------*/
    function wireEvents() {
      for (var i = 0; i < events.length; i++) {
        events[i].listenAll();
      }
    }

    /*------------------------------------------------------------------
    Init
    ------------------------------------------------------------------*/
    wireEvents();
  }
})();
